<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/pdma.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">pdma.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano1x2 series PDMA driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for pdma.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/da9/pdma_8c__incl.png" border="0" usemap="#a_std_driver_2src_2pdma_8c" alt=""/></div>
</div>
</div>
<p><a href="../../d2/d14/pdma_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga57adda7a5b3cc4834bf6713af2992243"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga57adda7a5b3cc4834bf6713af2992243">PDMA_Open</a> (uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga57adda7a5b3cc4834bf6713af2992243"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA Open.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga57adda7a5b3cc4834bf6713af2992243">More...</a><br /></td></tr>
<tr class="separator:ga57adda7a5b3cc4834bf6713af2992243"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac243b7bdead36ee0dc6042c9c7e67aa1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac243b7bdead36ee0dc6042c9c7e67aa1">PDMA_Close</a> (void)</td></tr>
<tr class="memdesc:gac243b7bdead36ee0dc6042c9c7e67aa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA Close.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac243b7bdead36ee0dc6042c9c7e67aa1">More...</a><br /></td></tr>
<tr class="separator:gac243b7bdead36ee0dc6042c9c7e67aa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf8075439ad51f51ff6acc64218a74477"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8075439ad51f51ff6acc64218a74477">PDMA_SetTransferCnt</a> (uint32_t u32Ch, uint32_t u32Width, uint32_t u32TransCount)</td></tr>
<tr class="memdesc:gaf8075439ad51f51ff6acc64218a74477"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Transfer Count.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8075439ad51f51ff6acc64218a74477">More...</a><br /></td></tr>
<tr class="separator:gaf8075439ad51f51ff6acc64218a74477"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18db38eff0079eefe428d2d7fbf2cc10"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18db38eff0079eefe428d2d7fbf2cc10">PDMA_SetTransferAddr</a> (uint32_t u32Ch, uint32_t u32SrcAddr, uint32_t u32SrcCtrl, uint32_t u32DstAddr, uint32_t u32DstCtrl)</td></tr>
<tr class="memdesc:ga18db38eff0079eefe428d2d7fbf2cc10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Transfer Address.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18db38eff0079eefe428d2d7fbf2cc10">More...</a><br /></td></tr>
<tr class="separator:ga18db38eff0079eefe428d2d7fbf2cc10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2adb19540b9241d0c7982cfa99251f8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2adb19540b9241d0c7982cfa99251f8">PDMA_SetTransferMode</a> (uint32_t u32Ch, uint32_t u32Peripheral, uint32_t u32ScatterEn, uint32_t u32DescAddr)</td></tr>
<tr class="memdesc:gad2adb19540b9241d0c7982cfa99251f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Transfer Mode.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2adb19540b9241d0c7982cfa99251f8">More...</a><br /></td></tr>
<tr class="separator:gad2adb19540b9241d0c7982cfa99251f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3b46058bec15e3be2e3b4255c3aac3e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b46058bec15e3be2e3b4255c3aac3e4">PDMA_SetTimeOut</a> (uint32_t u32Ch, uint32_t u32OnOff, uint32_t u32TimeOutCnt)</td></tr>
<tr class="memdesc:ga3b46058bec15e3be2e3b4255c3aac3e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Timeout.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b46058bec15e3be2e3b4255c3aac3e4">More...</a><br /></td></tr>
<tr class="separator:ga3b46058bec15e3be2e3b4255c3aac3e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27b2c77a625837f0e75592b2c040993f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27b2c77a625837f0e75592b2c040993f">PDMA_Trigger</a> (uint32_t u32Ch)</td></tr>
<tr class="memdesc:ga27b2c77a625837f0e75592b2c040993f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trigger PDMA.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27b2c77a625837f0e75592b2c040993f">More...</a><br /></td></tr>
<tr class="separator:ga27b2c77a625837f0e75592b2c040993f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4fd46c5f3b680a1e7d5af398dc0f1981"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4fd46c5f3b680a1e7d5af398dc0f1981">PDMA_EnableInt</a> (uint32_t u32Ch, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga4fd46c5f3b680a1e7d5af398dc0f1981"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Interrupt.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4fd46c5f3b680a1e7d5af398dc0f1981">More...</a><br /></td></tr>
<tr class="separator:ga4fd46c5f3b680a1e7d5af398dc0f1981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc2cc6a09900276aa06f40d287bd1346"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc2cc6a09900276aa06f40d287bd1346">PDMA_DisableInt</a> (uint32_t u32Ch, uint32_t u32Mask)</td></tr>
<tr class="memdesc:gacc2cc6a09900276aa06f40d287bd1346"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Interrupt.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc2cc6a09900276aa06f40d287bd1346">More...</a><br /></td></tr>
<tr class="separator:gacc2cc6a09900276aa06f40d287bd1346"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano1x2 series PDMA driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>10 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>14/11/27 7:10p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d2/d14/pdma_8c_source.html">pdma.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
